from setuptools import setup, find_packages

with open('README.md') as readme_file:
    README = readme_file.read()

with open('HISTORY.md') as history_file:
    HISTORY = history_file.read()

setup_args = dict(
    name='hopstools',
    version='0.0.15',
    description='Useful tools to work with Hopsworks stack in Python',
    long_description_content_type="text/markdown",
    long_description=README + '\n\n' + HISTORY,
    license='MIT',
    packages=find_packages(),
    author='Magnus Bjelkenhed',
    author_email='magnus.bjelkenhed@arbetsformedlingen.se',
    keywords=['Hopsworks', 'hops'],
    url='https://github.com/af-ai-center/hopstools',
    download_url='https://pypi.org/project/hopstools/'
)

install_requires = [
    'tensorflow>=2.3.0',
    'hops>=1.4.0.0'
]

if __name__ == '__main__':
    setup(**setup_args, install_requires=install_requires)
